2019-08-23 16:13 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005339Spring engineGeneralpublic2016-12-16 12:41
ReporterDeinFreund 
Assigned To 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version103.0 
Target VersionFixed in Version 
Summary0005339: Spring crashes when placing Geothermal
DescriptionIt's not directly related to placement of geo, as it only crashed after trying to rebuild an earlier geo.

Additional InformationStacktrace: http://hastebin.com/efoyinadum.sm
Infolog: http://hastebin.com/efizohoxor.coffee
Replays attached(Rejoined the game twice, first and second replay are crashes).
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0016825

DeinFreund (reporter)

To refine this a bit, it only happens when selecting the building using the zk build menu with shortcuts. I.e. in the case of geothermal it's when pressing x-d, not when placing the building itself.

~0016826

abma (administrator)

the links to hastebin don't work! :-| i get basicly empty pages

~0016827

DeinFreund (reporter)

"Pastes will stay for 30 days from their last view"

Will be using springpaste next time..

~0016828

abma (administrator)

Last edited: 2016-10-28 17:30

View 2 revisions

sorry, i/we missed this mantis report for some reason.

a stacktrace is needed i guess to solve this crash.

~0016829

DeinFreund (reporter)

It's not very reproducible(<1% of games), but it does happen from time to time. I'll update this with an infolog next time it occurs.

~0016967

DeinFreund (reporter)

Just happened again.

http://paste.springfiles.com/view/7d9ef8dc
http://paste.springfiles.com/view/3b23de30

https://github.com/spring/spring/blob/103.0.1-298-gaf1edb1/rts/Game/GameHelper.cpp#L1072

~0016968

abma (administrator)

Last edited: 2016-12-16 05:06

View 3 revisions

translated:

https://github.com/spring/spring/tree/103.0.1-298-gaf1edb1

rts/Game/GameHelper.cpp:1072
rts/Rendering/Map/InfoTexture/Modern/Path.cpp:232
/opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/functional:2469
/opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/bits/atomic_base.h:624
/opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/functional:2469
/slave/mingwlibs/include/boost/thread/detail/thread.hpp:118
thread.cpp:?
??:0
??:0
??:0

~0016969

hokomoko (developer)

got the replay?

~0016970

abma (administrator)

F:\Users\User\Documents\My Games\Spring\demos\20161216_014330_Akilon Wastelands ZK v1_103.0.1-298-gaf1edb1 develop.sdfz


would be nice :)

~0016971

DeinFreund (reporter)

http://www.mediafire.com/file/x54grdw4ddbpdyy/demos.zip

All three of them (third one without crash), although I suspect they're all just subsets of the non-crash due to the synced nature of spring..

~0016972

Anonymous (viewer)

Fix 557ba3b62c5a9b2607e142430e0065aa8474fe4d committed to develop branch: fix 0005339

CGameHelper::TestUnitBuildSquare accesses QuadField which is not re-entrant anymore due to 6e3cf34b1c5ccc9516e19977451126b8cb5a226b, repo: spring changeset id: 7682
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2016-08-29 23:11 DeinFreund New Issue
2016-08-29 23:11 DeinFreund File Added: crashes.zip
2016-10-27 17:21 DeinFreund Note Added: 0016825
2016-10-28 13:00 abma Note Added: 0016826
2016-10-28 13:01 abma Status new => feedback
2016-10-28 13:27 DeinFreund Note Added: 0016827
2016-10-28 13:27 DeinFreund Status feedback => new
2016-10-28 17:30 abma Note Added: 0016828
2016-10-28 17:30 abma Note Edited: 0016828 View Revisions
2016-10-28 19:40 DeinFreund Note Added: 0016829
2016-12-16 02:10 DeinFreund Note Added: 0016967
2016-12-16 05:06 abma Note Added: 0016968
2016-12-16 05:06 abma Note Edited: 0016968 View Revisions
2016-12-16 05:06 abma Note Edited: 0016968 View Revisions
2016-12-16 05:51 hokomoko Note Added: 0016969
2016-12-16 07:41 abma Note Added: 0016970
2016-12-16 12:24 DeinFreund Note Added: 0016971
2016-12-16 12:41 Changeset attached => spring develop 557ba3b6
2016-12-16 12:41 Anonymous Note Added: 0016972
2016-12-16 12:41 Anonymous Status new => resolved
2016-12-16 12:41 Anonymous Resolution open => fixed
+Issue History